# Dirac Hashes Examples

This directory contains example scripts to help you get started with the Dirac Hashes package.

## Quick Start

For a simple demonstration of the core functionality, run:

```bash
python quick_start.py
```

This will show you how to:
- Generate quantum-resistant hashes
- Create and verify digital signatures
- Use key encapsulation mechanisms (KEM)

## Complete Examples

For a more comprehensive demonstration of all features, run:

```bash
python basic_usage.py
```

This includes examples of:
- All hash algorithms
- Key generation and formatting
- Multiple signature schemes (Dilithium, SPHINCS+, Lamport)
- Key encapsulation with Kyber

## Blockchain Integration

For examples of how to integrate with blockchain technologies, check:

```bash
# Coming soon
# python blockchain_integration.py
```

## Running the Examples

Make sure you have installed the `dirac-hashes` package first:

```bash
pip install dirac-hashes
```

Or if you're developing locally:

```bash
pip install -e .
```

from the repository root directory. 